'''
Macro module as seen by MoinMoin.

----
Copyright (C) 2007 Zoran Isailovski
Licensed under the Apache License, Version 2.0 (see http://www.apache.org/licenses/LICENSE-2.0)
or, at your option, under the terms described in the file LICENSE.txt found in the root of the 
distribution of this package (as far as it denotes a different license then the above).
'''


Dependencies = []

def execute(macro, args):
    try:
        output = Run(macro, args)
    except:
        import sys, traceback
        output = ''.join( traceback.format_exception(*sys.exc_info()) )
        output = ERROR_FORMAT % (args, output)
    return output

ERROR_FORMAT = '''\
<div class="traceback" style="background-color:red; color:lightyellow; font-weight: bold">
<center>xeqt(%s)</center>
<pre class="traceback" style="background-color:yellow; color:red; font: 11px verdana; border: solid red">\
%s\
</pre>
</div>
'''

from MoinRating import main
from MoinRating.main import Dependencies, DEBUG

def Run(macro, args):
    if DEBUG: reload(main)
    return main.execute(main.DoOverview, macro, args)
